xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.ButtonDecoration

Contents

- Usage:

Description

A decoration that includes small buttons on both ends which invoke various actions when clicked on: Show a window menu (see XMonad.Actions.WindowMenu), minimize, maximize or close the window.

Note: For maximizing and minimizing to actually work, you will need to integrate XMonad.Layout.Maximize and XMonad.Layout.Minimize into your setup. See the documentation of those modules for more information.

Synopsis

- buttonDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration ButtonDecoration s) l a
- data ButtonDecoration a

# Usage:

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.DecorationAddons
    import XMonad.Layout.ButtonDecoration

Then edit your `layoutHook` by adding the ButtonDecoration to your layout:

    myL = buttonDeco shrinkText defaultThemeWithButtons (layoutHook def)
    main = xmonad def { layoutHook = myL }

buttonDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration ButtonDecoration s) l a #

data ButtonDecoration a #

#### Instances

Instances details

Eq a => DecorationStyle ButtonDecoration a # |
Instance details Defined in XMonad.Layout.ButtonDecoration Methods describeDeco :: ButtonDecoration a -> String # shrink :: ButtonDecoration a -> Rectangle -> Rectangle -> Rectangle # decorationEventHook :: ButtonDecoration a -> DecorationState -> Event -> X () # decorationCatchClicksHook :: ButtonDecoration a -> Window -> Int -> Int -> X Bool # decorationWhileDraggingHook :: ButtonDecoration a -> CInt -> CInt -> (Window, Rectangle) -> Position -> Position -> X () # decorationAfterDraggingHook :: ButtonDecoration a -> (Window, Rectangle) -> Window -> X () # pureDecoration :: ButtonDecoration a -> Dimension -> Dimension -> Rectangle -> Stack a -> [(a, Rectangle)] -> (a, Rectangle) -> Maybe Rectangle # decorate :: ButtonDecoration a -> Dimension -> Dimension -> Rectangle -> Stack a -> [(a, Rectangle)] -> (a, Rectangle) -> X (Maybe Rectangle) #
Read (ButtonDecoration a) # |
Instance details Defined in XMonad.Layout.ButtonDecoration Methods readsPrec :: Int -> ReadS (ButtonDecoration a) # readList :: ReadS [ButtonDecoration a] # readPrec :: ReadPrec (ButtonDecoration a) # readListPrec :: ReadPrec [ButtonDecoration a] #
Show (ButtonDecoration a) # |
Instance details Defined in XMonad.Layout.ButtonDecoration Methods showsPrec :: Int -> ButtonDecoration a -> ShowS # show :: ButtonDecoration a -> String # showList :: [ButtonDecoration a] -> ShowS #